## keytouch-editor 2.1.0

=== Makefile ===
TARGET = keytouch-editor
SOURCES =	main.c \
		config.c \
		device.c \
		string_to_keycode/string_to_keycode.c \
		acpi_socket.c \
		ud_socket.c

prefix = /usr/local
bindir = ${prefix}/bin
DESTDIR =

CFLAGS=-I. -Istring_to_keycode -O2 -Wall
LINKFLAGS=
CC=gcc

OBJECTS=$(SOURCES:.c=.o)

all: $(TARGET)

cc:
	$(MAKE) CC=cc \
		all

$(TARGET): $(OBJECTS) mxml/libmxml.a
	$(CC) $(LINKFLAGS) -o  $@ $(OBJECTS) mxml/libmxml.a

mxml/libmxml.a:
	cd mxml && $(MAKE);

install: $(TARGET)
	cp $(TARGET) $(DESTDIR)$(bindir)

clean:
	$(RM) $(TARGET) $(OBJECTS)
	cd mxml && $(MAKE) clean;
