=== mxml/Makefile ===
TARGET_LIB = libmxml.so
TARGET_LIBA = $(TARGET_LIB:.so=.a)
SOURCES =	error.c \
		parse.c \
		memory.c \
		content.c \
		document.c \
		element.c \
		write.c

SHAREDOPT = -shared 
CFLAGS=-I. -O2 -Wall -g -fpic
CC=gcc
EXTRA_LIBS =

OBJECTS=$(SOURCES:.c=.o)

all: $(TARGET_LIB)

$(TARGET_LIBA): $(OBJECTS)
	$(AR) rc $(TARGET_LIBA) $(OBJECTS)

$(TARGET_LIB): $(TARGET_LIBA)
	$(CC) $(SHAREDOPT) -o $(TARGET_LIB) $(OBJECTS) $(EXTRA_LIBS)

cc:
	$(MAKE) CC=cc all

clean:
	$(RM) $(TARGET_LIB) $(TARGET_LIBA) $(OBJECTS)
