## keytouch-editor 2.10.99+2.1.0

=== Makefile ===
--- 
+++ 
@@ -34,4 +34,3 @@
 clean:
 	$(RM) $(TARGET) $(OBJECTS)
 	cd mxml && $(MAKE) clean;
-
