## keytouch-editor 3.2.0~beta

=== debian/changelog ===
keytouch-editor (1:3.2.0~beta-3build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:30:51 +0000

keytouch-editor (1:3.2.0~beta-3) unstable; urgency=low

  * Conversion from dpatch to quilt
   - Remove build-dep on dpatch
   - Change .make's included in debian/rules
  * Switch to dpkg-source 3.0 (quilt) format
   - Drop quilt build-dep
   - Remove debian/README.source
  * Update source repo (SVN -> HG)
  * Bump standards-version: 3.8.3.
   - Add debian/README.source
  * Cleanup an old NEWS.Debian entry

 -- Luke Cycon <lcycon@gmail.com>  Sat, 27 Feb 2010 15:34:39 -0800

keytouch-editor (1:3.2.0~beta-2) unstable; urgency=low

  * Added "DM-Upload-Allowed: yes" to debian/control
  * Bump standards-version. No changes.

 -- Luke Cycon <lcycon@gmail.com>  Fri, 19 Feb 2010 16:07:30 -0800

keytouch-editor (1:3.2.0~beta-1) unstable; urgency=low

  * New upstream release
   - Fixed issue where Amarok plugin was saved as XMMS (Closes: #536191)

 -- Luke Cycon <lcycon@gmail.com>  Thu, 09 Jul 2009 10:40:07 -0700

keytouch-editor (1:3.1.3-3) unstable; urgency=low

  [Luke Cycon]
  * Added -D_GNU_SOURCE to cflags (Closes: #521955)
  * New maintainer (Closes: #520144)
  
  [Luis Rodrigo Gallardo Cruz]
  * Remove call to deprecated and useless dh_desktop.

 -- Luke Cycon <lcycon@gmail.com>  Sun, 17 May 2009 10:20:25 -0700

keytouch-editor (1:3.1.3-2) unstable; urgency=low

  * Vcs-* fields no longer need XS- prefix.
  * Add Homepage field and remove from Description.
  * Update maintainer address.
  * Add -Wl,--as-needed to LDFLAGS, to avoid linking the binary to unneeded 
    DSOs.
  * Do not pass --build to configure unless we're crosscompiling.
  * Reorder dependencies on patching rules, to avoid possible races when
    parallel compiling.
  * Cosmetic reformatting of debian/rules comments.
  * Giuseppe Borzi is not active as maintainer for this package,
    thus I remove him from the Uploaders field. Thanks for all the initial
    packaging job, Guiseppe.

 -- Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>  Sat, 08 Dec 2007 14:11:37 -0600

keytouch-editor (1:3.1.3-1) unstable; urgency=low

  * New upstream release.
   - Remove patches/30_create_get_scancode_dialog_implicitly_converted_to_pointer.dpatch
     It's been integrated upstream.
  * Improve package description.
  * menu is just a Recommends: not a Depends:
  * Comply with new menu policy.
  * .desktop file conforms to freedesktop.org standard.
  * Remove unneeded lintian overrides.

 -- Luis Rodrigo Gallardo Cruz <rodrigo@nul-unu.com>  Mon, 24 Sep 2007 20:16:12 -0500

keytouch-editor (1:3.1.1-2) unstable; urgency=low

  * Add ommited #include in get_scancode. 
    Patch from dann frazier <dannf@debian.org> (Closes: #427604).
  * Explicitely depend on the linux kernel headers, since we 
    #include <linux/input.h>.

 -- Luis Rodrigo Gallardo Cruz <rodrigo@nul-unu.com>  Fri, 08 Jun 2007 16:38:21 -0500

keytouch-editor (1:3.1.1-1) unstable; urgency=low

  * New upstream release.
   - New autoconf based build system.
   - keytouch-editor is now a gtk app.
  * Use config.{guess,sub} from autotools-dev.
  * Upload to collab-maint's subversion repo, and add X-SCM headers.
  * Save and restore files that configure or upstream's clean mangle with,
  to make sure clean works correctly (Closes: #424453).

 -- Luis Rodrigo Gallardo Cruz <rodrigo@nul-unu.com>  Fri, 25 May 2007 18:24:29 -0500

keytouch-editor (1:2.1.0-2) unstable; urgency=low

  * Fix Homepage URL.

 -- Luis Rodrigo Gallardo Cruz <rodrigo@nul-unu.com>  Thu, 26 Oct 2006 11:32:39 -0500

keytouch-editor (1:2.1.0-1) unstable; urgency=low

  * Initial upload to Debian (closes: #384545).

 -- Luis Rodrigo Gallardo Cruz <rodrigo@nul-unu.com>  Fri,  8 Sep 2006 22:28:12 -0500

keytouch-editor (1:2.1.0-0ubuntu1) edgy; urgency=low

  * Initial release

 -- Giuseppe Borzi <gborzi@ieee.org>  Thu, 17 Aug 2006 23:25:49 +0200

keytouch-editor (2.10.99+2.1.0-beta-0ubuntu1) dapper; urgency=low

  * Initial release

 -- Giuseppe Borzi <gborzi@ieee.org>  Sat, 18 Feb 2006 02:39:59 +0100
