=== debian/control ===
Source: keytouch-editor
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Luke Cycon <lcycon@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 5.0.0), libgtk2.0-dev, autotools-dev, imagemagick, linux-libc-dev
Standards-Version: 3.8.4
Vcs-Hg: http://hg.debian.org/hg/collab-maint/keytouch-editor/debian
Vcs-Browser: http://hg.debian.org/hg/collab-maint/keytouch-editor/debian
Homepage: http://keytouch.sourceforge.net/

Package: keytouch-editor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: menu
Description: create keyboard files for keytouch
 KeyTouch Editor should be used to create configuration files for KeyTouch, 
 a program to configure extra function keys in multimedia keyboards, in
 case your keyboard is not yet supported.
