=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
    SYSTEM = --build $(DEB_HOST_GNU_TYPE)
else
    SYSTEM = --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

CONFFLAGS = $(SYSTEM) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --sysconfdir=/etc --libdir=\$${prefix}/lib

CFLAGS = -Wall -g -D_GNU_SOURCE
LDFLAGS += -Wl,--as-needed

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp

configure-stamp: 
	dh_testdir

# Some distributed files shouldn't be, and are modified or removed
# by configure or upstream's clean. We save copies now, to restore
# them, else some patches won't work, the clean target will be dirty,
# mayhem ensues ...
	-find . \( -name config.h \
		-o -name Makefile.in \) \
	  -execdir cp \{} \{}.debian-orig \; -fprint dist-files	

# Use recent config.* files
	rm -f config.sub && ln -sf /usr/share/misc/config.sub .
	rm -f config.guess && ln -sf /usr/share/misc/config.guess .

	CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure $(CONFFLAGS)

	touch configure-stamp

build: build-stamp

build-stamp: configure
	dh_testdir

	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	if [ -f Makefile ]; then \
	  $(MAKE) distclean; \
	fi

# Get saved files back
	if [ -e dist-files ] ; then \
	  for f in `cat dist-files`; do mv $$f.debian-orig $$f; done; \
	  rm dist-files; \
	fi

	dh_clean config.log config.guess config.sub
#	$(MAKE) -f debian/rules unpatch

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	$(MAKE) install prefix=/usr bindir=/usr/sbin DESTDIR=$(CURDIR)/debian/keytouch-editor
	cd debian/keytouch-editor/usr/share/keytouch-editor/pixmaps && convert icon.png icon.xpm
# We don't want the wrapper script
	cd debian/keytouch-editor/usr/sbin && mv keytouch-editor-bin keytouch-editor

binary-indep: build install
# We have nothing to do by default.

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs debian/NEWS.Debian
	dh_installexamples
	dh_installmenu
	dh_install
	dh_installman debian/keytouch-editor.8
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
