=== debian/watch ===
# Watch control file for uscan
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# The version mangle is to make sure betas sort before the release they're 
# betas for.
opts="uversionmangle=s/-(beta.*)$/~$1/ " \
 http://sf.net/keytouch/keytouch-editor-(.*)\.tar\.gz
